Up

# NSOpenGLView.m

### Authors

Frederic De Jaeger

> Context for openGL drawing

Copyright: (C) 2002 Free Software Foundation, Inc.

# Software documentation for the NSOpenGLView class

## NSOpenGLView : NSView

> Declared in:
>   AppKit/NSOpenGLView.h

Availability: OpenStep
Description forthcoming.

Instance Variables
Method summary

- +defaultPixelFormat
- -clearGLContext
- -initWithFrame:pixelFormat:
- -openGLContext
- -pixelFormat
- -prepareOpenGL
- -reshape
- -setOpenGLContext:
- -setPixelFormat:
- -update

### defaultPixelFormat

+ (NSOpenGLPixelFormat*) defaultPixelFormat;
Availability: OpenStep
return a standard NSOpenGLPixelFormat you can pass to the initWithFrame: pixelFormat: method

### clearGLContext

- (void) clearGLContext;
Availability: OpenStep
detach from the current context. You should call it before releasing this object.

### initWithFrame: pixelFormat:

- (id) initWithFrame: (NSRect)frameRect pixelFormat: (NSOpenGLPixelFormat*)format;
Availability: OpenStep
default initializer. Can be passed [NSOpenGLContext defaultPixelFormat] as second argument

### openGLContext

- (NSOpenGLContext*) openGLContext;
Availability: OpenStep
return the current gl context associated with this view

### pixelFormat

- (NSOpenGLPixelFormat*) pixelFormat;
Availability: OpenStep
Description forthcoming.

### prepareOpenGL

- (void) prepareOpenGL;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### reshape

- (void) reshape;
Availability: OpenStep
Description forthcoming.

### setOpenGLContext:

- (void) setOpenGLContext: (NSOpenGLContext*)context;
Availability: OpenStep
Description forthcoming.

### setPixelFormat:

- (void) setPixelFormat: (NSOpenGLPixelFormat*)pixelFormat;
Availability: OpenStep
Description forthcoming.

### update

- (void) update;
Availability: OpenStep
Description forthcoming.

## Instance Variables for NSOpenGLView Class

### glcontext

@protected NSOpenGLContext* glcontext;
Availability: OpenStep
Description forthcoming.

### pixel_format

@protected NSOpenGLPixelFormat* pixel_format;
Availability: OpenStep
Description forthcoming.

### prepared

@protected BOOL prepared;
Availability: OpenStep
Description forthcoming.

Up